Bug 473718 - Review Request: perl-Directory-Scratch-Structured - Creates temporary files and directories from a structured description
Review Request: perl-Directory-Scratch-Structured - Creates temporary files a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Directory...
:
Depends On: perl-Data-TreeDumper 476160
Blocks: perl-Eval-Context
  Show dependency treegraph
 
Reported: 2008-11-29 22:51 EST by Chris Weyl
Modified: 2012-01-27 07:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 14:08:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-29 22:51:20 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Directory-Scratch-Structured.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Directory-Scratch-Structured-0.03-1.fc9.src.rpm

Description:
This module adds a _create_structured_tree_ subroutine to Directory::Scratch.
This method is useful to create a directory structure needed for temporary
purposes, e.g. for testing.
Comment 1 Jason Tibbitts 2008-12-10 15:22:57 EST
Directory::Scratch does not seem to be available in rawhide yet.
Comment 2 Chris Weyl 2008-12-11 23:41:47 EST
Working on it -- apparently going from F-9 to F-10 broke my posting script in so-far mysterious ways.
Comment 3 Parag AN(पराग) 2008-12-15 01:12:01 EST
Result: FAIL
Failed 1/10 test programs. 1/32 subtests failed.

koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=998817
Comment 5 Parag AN(पराग) 2008-12-31 00:31:56 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1026687
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ef6155cc8a9723e0e9614508aa1c592d  Directory-Scratch-Structured-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=18,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.50 cusr  0.04 csys =  0.56 CPU)
+ Package perl-Directory-Scratch-Structured-0.04-1.fc11 =>
Provides: perl(Directory::Scratch::Structured) = 0.04
Requires: perl(Carp) perl(Directory::Scratch) perl(English) perl(Readonly) perl(Sub::Exporter) perl(Sub::Install) perl(strict) perl(vars) perl(warnings)

APPROVED.
Comment 6 Chris Weyl 2008-12-31 01:20:49 EST
New Package CVS Request
=======================
Package Name: perl-Directory-Scratch-Structured
Short Description: Creates temporary files and directories from a structured description
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC:
Comment 7 Kevin Fenzi 2009-01-04 15:31:53 EST
cvs done. 

BTW, your cvs requests for perl packages recently don't seem to have perl-sig as a CC. Is that an oversight? If you want me to go back and add that to a list of packages, just email me the request.
Comment 8 Chris Weyl 2009-01-07 14:07:32 EST
(In reply to comment #7)
> BTW, your cvs requests for perl packages recently don't seem to have perl-sig
> as a CC. Is that an oversight? If you want me to go back and add that to a list
> of packages, just email me the request.

Ugh, thanks for pointing that out.  Seems like my script slipped a bit there; I'll go poke around and generate a list.
Comment 9 Chris Weyl 2009-01-07 14:08:20 EST
Thanks for the review! :-)
Comment 10 Petr Pisar 2012-01-27 04:39:48 EST
Package Change Request
======================
Package Name: perl-Directory-Scratch-Structured
New Branches: 
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 11 Gwyn Ciesla 2012-01-27 07:58:13 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.